﻿using System.Windows;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            StreamGeometry geometry = new StreamGeometry();

            geometry.FillRule = FillRule.EvenOdd;

            using(StreamGeometryContext context = geometry.Open())
            {
                context.BeginFigure
                (
                    new Point(10, 100),
                    true,
                    false
                );

                context.ArcTo
                (
                    new Point(200, 100),
                    new Size(100, 50),
                    45,
                    true,
                    SweepDirection.Counterclockwise,
                    true,
                    false
                );
            }

            geometry.Freeze();

            this.path.Data = geometry;
        }

        #endregion
    }
}